Package org.h2.expression.condition

# Enum Class CompareLike.LikeType

java.lang.Object
java.lang.Enum<CompareLike.LikeType>
org.h2.expression.condition.CompareLike.LikeType

All Implemented Interfaces:
  `Serializable`, `Comparable<CompareLike.LikeType>`, `Constable`

Enclosing class:
  CompareLike

public static enum CompareLike.LikeType extends Enum<CompareLike.LikeType>
The type of comparison.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ILIKE`
ILIKE (case-insensitive LIKE).
`LIKE`
LIKE.
`REGEXP`
REGEXP

## Method Summary

Modifier and Type
Method
Description
`static CompareLike.LikeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompareLike.LikeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LIKE

public static final CompareLike.LikeType LIKE
LIKE.

### ILIKE

public static final CompareLike.LikeType ILIKE
ILIKE (case-insensitive LIKE).

### REGEXP

public static final CompareLike.LikeType REGEXP
REGEXP

## Method Details

### values

public static CompareLike.LikeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompareLike.LikeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null